Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#73588 - ffmpeg4.4 cannot be installed: cannot resolve "libx264.so=164-64"

Attached to Project: Arch Linux
Opened by Frederic Bezies (fredbezies) - Tuesday, 01 February 2022, 18:53 GMT
Last edited by Antonio Rojas (arojas) - Saturday, 12 February 2022, 09:21 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Maxime Gauduin (Alucryd)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 11
Private No

Details

Description:

I tried to install ffmpeg4.4 but I cannot get it to install.

Every single time, I got this error message:

$ sudo pacman -S ffmpeg4.4
resolving dependencies...
warning: cannot resolve "libx264.so=164-64", a dependency of "ffmpeg4.4"
:: The following package cannot be upgraded due to unresolvable dependencies:
ffmpeg4.4

:: Do you want to skip the above package for this upgrade? [y/N]


Additional info:
ffmpeg4.4 4.4.1-3


Steps to reproduce:

See details.
This task depends upon

Closed by  Antonio Rojas (arojas)
Saturday, 12 February 2022, 09:21 GMT
Reason for closing:  Fixed
Additional comments about closing:  ffmpeg4.4 moved back to staging
Comment by Andy (andydecleyre) - Thursday, 03 February 2022, 21:06 GMT
This is a problem for me, too, and easily reproduced in a container:

```
podman run -it --rm docker.io/library/archlinux:base-devel pacman -Syu --noconfirm ffmpeg4.4
```
Comment by Jesus Eguiluz (Gsus) - Saturday, 05 February 2022, 15:55 GMT
The x264 (164-64) is in staging repo. I think that is not released yet in extra repo.
Comment by Dan Johansen (Strit) - Saturday, 05 February 2022, 16:06 GMT
Seems like ffmpeg4.4 has been built againt the Staging repo.

Loading...